#
# spec file for package ibp
#
# Copyright (c) 2023 SUSE LLC
# Copyright (c) 2025 Andreas Stieger <Andreas.Stieger@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ibp
Version:        0.21
Release:        1.1
Summary:        Monitoring the International Beacon Project
License:        GPL-2.0-only
Group:          Productivity/Hamradio/Other
URL:            https://www.pa3fwm.nl/software/ibp/
Source:         https://www.pa3fwm.nl/software/ibp/%{name}-%{version}.tgz
Patch0:         ibp-0.21-ncurses.patch
Patch1:         ibp-0.21-xdisp-makeClockContext-gc.patch
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(x11)
BuildRequires:  imake

%description
This program continuously shows which beacon of the International Beacon
Project (on the HF bands from 14 through 28 MHz) is currently transmitting. On
X11 systems, it can also show a sunclock-like map with the short and long paths
to the active beacons.

%prep
%autosetup -p1

%build
xmkmf
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 ibp.1 %{buildroot}%{_mandir}/man1/

%files
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/ibp.1%{?ext_man}

%changelog
* Mon Feb 17 2025 Andreas Stieger <andreas.stieger@gmx.de>
- Fix build (patch directive)
- drop ibp-0.21.dif
- add ibp-0.21-ncurses.patch
- add ibp-0.21-xdisp-makeClockContext-gc.patch
* Thu Jun 29 2023 Wojciech Kazubski <wk@ire.pw.edu.pl>
- Fix build for Tumbleweed and Factory
- Specfile updated to current standard
* Thu Jun  7 2012 dl8fcl@darc.de
- fix for openSUSE_12.2, License tag updated
* Tue Feb 22 2011 dl8fcl@darc.de
- fix for 11.4
* Sun Jun  1 2008 dg7gt@online.de
- expansion error fixes for openSUSE 11
* Thu Feb 22 2007 dl9pf@gmx.de
- import into buildservice
* Sat Dec 16 2006 dg7gt@online.de
- updated to version 0.21
* Sun Jan 11 2004 adrian@suse.de
- fix build as user
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Mon Jun 25 2001 jreuter@suse.de
- GCC 3.0 defines printf() as a macro. Great.
  Splitted one large printf() into multiple smaller to let it compile
  again with gcc 3.0
* Mon Jun 25 2001 jreuter@suse.de
- fixed Imakefile
* Fri Jan  5 2001 ka@suse.de
- initial release 0.20
